Bug 506669 - Review Request: perl-CGI-Application-Plugin-DBH - Easy DBI access from CGI::Application
Review Request: perl-CGI-Application-Plugin-DBH - Easy DBI access from CGI::A...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-18 04:54 EDT by Emmanuel Seyman
Modified: 2009-06-30 17:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.00-1.fc11.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-30 17:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-18 04:54:13 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-DBH/perl-CGI-Application-Plugin-DBH.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-DBH/perl-CGI-Application-Plugin-DBH-4.00-1.fc11.src.rpm
CGI::Application::Plugin::DBH adds easy access to a DBI database handle to
your CGI::Application modules. Lazy loading is used to prevent a database
connection from being made if the dbh method is not called during the
request. In other words, the database connection is not created until it is
actually needed.
Comment 1 Parag AN(पराग) 2009-06-19 03:13:21 EDT
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1424382
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
41d4b4587ae59e7b5518a76583172c501aa621ab  CGI-Application-Plugin-DBH-4.00.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=29,  1 wallclock secs ( 0.05 usr  0.02 sys +  0.53 cusr  0.08 csys =  0.68 CPU)
+ Package perl-CGI-Application-Plugin-DBH-4.00-1.fc12.noarch =>
Provides: perl(CGI::Application::Plugin::DBH) = 4.00
Requires: perl(Carp) perl(Exporter) perl(strict) perl(vars)
+ Not a GUI application

Comment 2 Emmanuel Seyman 2009-06-19 08:02:12 EDT
Thanks. Requesting cvs.

New Package CVS Request
Package Name: perl-CGI-Application-Plugin-DBH
Short Description: Easy DBI access from CGI::Application
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-20 11:04:08 EDT
CVS done.
Comment 4 Fedora Update System 2009-06-21 19:21:09 EDT
perl-CGI-Application-Plugin-DBH-4.00-1.fc11.1 has been submitted as an update for Fedora 11.
Comment 5 Fedora Update System 2009-06-24 15:20:37 EDT
perl-CGI-Application-Plugin-DBH-4.00-1.fc11.1 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-DBH'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6854
Comment 6 Fedora Update System 2009-06-30 17:40:34 EDT
perl-CGI-Application-Plugin-DBH-4.00-1.fc11.1 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.